

; ***** ANFANG Initialisierung der Hardware *****


; Anfangsinitialisierung der Perepheriebausteine
;
LINIT:	LD	HL,LINITAB	;Adresse der Initialisierungs-
				;tabelle
	LD	B,1*(LINITAE-LINITAB)/2	;laenge der Initialisierungst.
	;
LINIT1:	LD	C,(HL)		;laden der neuen Geraeteadresse
	INC	HL		;naechstes Ausgabebyte
	OUTI			;Ausgabe von (HL) an Adresse C
				;danach: HL+1 , B-1
	JR	NZ,LINIT1
	;
	RET	


LINITAB:				;Initialisierungstabelle
	; Interruptsperre fuer alle Perepheriebausteine

	DB	PIO1AC		;PIO 1 A
	DB	3
	;
	DB	PIO1BC		;PIO 1 B
	DB	3
	;

	; Initialisierung der Betriebsarten der PIO's

	; --- Initialisierung der PIO1 Port A

	; vor dem Freischalten der Ausgaenge wird das Ausgaberegister fuer
	; die Daten definiert gesetzt
	; Port A - Initialwert-Daten Systemport
	DB	D_SYS_PORT
	DB	D_SYS_IW
	;
	; MODE3 Bitbetrieb (Maske folgt)
	DB	C_SYS_PORT
	DB	0CFH
	;
	; Maske fuer Bitbetrieb Port A (Daten - alles Ausgaenge)
	DB	C_SYS_PORT
	DB	C_SYS_IW
	;
	; Setzen des Ausgaberegister -> definierter Pegel fuer die Datenleitungen
	DB	D_SYS_PORT
	DB	D_SYS_IW
	;
	


	; --- Initialisierung der PIO1 Port B - CONNECTOR1

	; vor dem Freischalten der Ausgaenge wird das Ausgaberegister fuer
	; die Daten definiert gesetzt
	DB	D_ITP2_CON1
	DB	D_ITP2_IW
	;
	; MODE3 Bitbetrieb (Maske folgt)
	DB	C_ITP2_CON1
	DB	0CFH
	;
	; Initialwert-Kommandos ITP2 
	DB	C_ITP2_CON1
	DB	C_ITP2_IW
	;
	; Setzen des Ausgaberegister -> definierter Pegel fuer die Datenleitungen
	DB	D_ITP2_CON1
	DB	D_ITP2_IW
	;



	; --- Initialisierung der PIO2 Port A - CONNECTOR2

	; vor dem Freischalten der Ausgaenge wird das Ausgaberegister fuer
	; die Daten definiert gesetzt
	DB	D_ITP2_CON2
	DB	D_ITP2_IW
	;
	; MODE3 Bitbetrieb (Maske folgt)
	DB	C_ITP2_CON2
	DB	0CFH
	;
	; Initialwert-Kommandos ITP2 
	DB	C_ITP2_CON2
	DB	C_ITP2_IW
	;
	; Setzen des Ausgaberegister -> definierter Pegel fuer die Datenleitungen
	DB	D_ITP2_CON2
	DB	D_ITP2_IW
	;


	; --- Initialisierung der PIO2 Port B - CONNECTOR3

	; vor dem Freischalten der Ausgaenge wird das Ausgaberegister fuer
	; die Daten definiert gesetzt
	DB	D_ITP2_CON3
	DB	D_ITP2_IW
	;
	; MODE3 Bitbetrieb (Maske folgt)
	DB	C_ITP2_CON3
	DB	0CFH
	;
	; Initialwert-Kommandos ITP2 
	DB	C_ITP2_CON3
	DB	C_ITP2_IW
	;
	; Setzen des Ausgaberegister -> definierter Pegel fuer die Datenleitungen
	DB	D_ITP2_CON3
	DB	D_ITP2_IW
	;



LINITAE:	
;


; ***** ENDE Initialisierung der Hardware *****


